// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : Etl
 *-----------------------------------------------------------------------------
 *
 * @Description              : Etl的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 13:08:46
 *
 ******************************************************************************/
type Etl struct {
	PlantNr      int           `xorm:"pk int 'PlantNr'" json:"Etl-PlantNr"`
	EtlId        int           `xorm:"pk int 'EtlId'" json:"Etl-EtlId"`
	FromDb       string        `xorm:"varchar(32) 'FromDb'" json:"Etl-FromDb"`
	FromTable    string        `xorm:"varchar(32) 'FromTable'" json:"Etl-FromTable"`
	ToDb         string        `xorm:"varchar(32) 'ToDb'" json:"Etl-ToDb"`
	ToTable      string        `xorm:"varchar(32) 'ToTable'" json:"Etl-ToTable"`
	SqlShow      string        `xorm:"varchar(255) 'SqlShow'" json:"Etl-SqlShow"`
	Status       string        `xorm:"varchar(10) 'Status'" json:"Etl-Status"`
	SearchType   int           `xorm:"int 'SearchType'" json:"Etl-SearchType"`
	SearchTime   string        `xorm:"varchar(20) 'SearchTime'" json:"Etl-SearchTime"`
	SearchFiled  string        `xorm:"varchar(64) 'SearchFiled'" json:"Etl-SearchFiled"`
	ToDriverName string        `xorm:"varchar(64) 'ToDriverName'" json:"Etl-ToDriverName"`
	ToType       string        `xorm:"varchar(30) 'ToType'" json:"Etl-ToType"`
	ChooseType   string        `xorm:"varchar(30) 'ChooseType'" json:"Etl-ChooseType"`
	LastModify   grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"Etl-LastModify"`
	LastUser     string        `xorm:"nvarchar(20) 'LastUser' not null" json:"Etl-LastUser"`
	CreateTime   grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"Etl-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 13:08:46
 *
 ******************************************************************************/
func (self *Etl) GetKey() core.PK {
	return core.PK{self.PlantNr, self.EtlId}
}
